<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use App\Scolarite\Domain\Model\Evaluation\EvaluationId;
use DomainException;

use function sprintf;

final class EvaluationNotFoundException extends DomainException
{
    public static function withId(EvaluationId $id): self
    {
        return new self(sprintf(
            'L\'évaluation avec l\'ID "%s" n\'a pas été trouvée.',
            $id,
        ));
    }
}
